import { jsx } from "react/jsx-runtime";
import { TokenHAWK as TokenHAWK$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHAWK = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "HAWK", "data-name": "TokenHAWK", ...props, children: /* @__PURE__ */ jsx(TokenHAWK$1, { variant }) });
  }
);
TokenHAWK.displayName = "TokenHAWK";
Object.assign(TokenHAWK, { isGdsIcon: true });
export {
  TokenHAWK
};
